#### File is managed by ansible. Changes may be overwritten without warning
[user]
    email = {{ user_email }}
    name = {{ user_name }}
[color]
  ui = true
[core]
  autocrlf = input
  commentChar = %
  excludesfile = ~/.gitignore_global
[push]
  default = current
[alias]
  st = status
  co = checkout
  br = branch
  ci = commit
  ca = commit --amend
  ss = stash save
  sski = stash save --keep-index
  sp = stash pop
  sl = stash list
  unstage = reset HEAD --
  last = log -1 HEAD --stat
  visual = !gitx
  lg = log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(blue)<%an>%Creset' --abbrev-commit --date=relative
  lgs = log --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(blue)<%an>%Creset' --abbrev-commit --date=relative
  stash-unapply = !git stash show -p | git apply -R
  pl = pull --ff-only
  staged = diff --staged
  softundo = reset --soft HEAD~1
  mnff = merge --no-ff
  incoming = log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(blue)<%an>%Creset' --abbrev-commit --date=relative ...@{u}
  outgoing = log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(blue)<%an>%Creset' --abbrev-commit --date=relative @{u}..
  ssk = stash save --keep-index
  wip = commit -am wipall
  wips = commit -m wipsimple
  showmerged = !git branch --merged | grep -v master |grep -v '*'
  deletemerged = !git branch --merged | grep -v master |grep -v '*' |xargs -n 1 git branch -d
  please = push --force-with-lease
  commend = commit --amend --no-edit
